## r-cran-pracma 2.2.9

=== DESCRIPTION ===
Package: pracma
Type: Package
Version: 2.2.9
Date: 2019-12-15
Title: Practical Numerical Math Functions
Authors@R: person("Hans W.", "Borchers", 
                  email="hwborchers@googlemail.com", 
                  role=c("aut", "cre"))
Depends: R (>= 3.1.0)
Imports: graphics, grDevices, stats, utils
Suggests: NlcOptim, quadprog
Description: 
    Provides a large number of functions from numerical analysis and
    linear algebra, numerical optimization, differential equations,
    time series, plus some well-known special mathematical functions.
    Uses 'MATLAB' function names where appropriate to simplify porting.
License: GPL (>= 3)
ByteCompile: true
LazyData: yes
Author: Hans W. Borchers [aut, cre]
Maintainer: Hans W. Borchers <hwborchers@googlemail.com>
Repository: CRAN
Repository/R-Forge/Project: optimist
Repository/R-Forge/Revision: 486
Repository/R-Forge/DateTimeStamp: 2019-12-15 21:04:21
Date/Publication: 2019-12-15 22:30:02 UTC
NeedsCompilation: no
Packaged: 2019-12-15 21:10:11 UTC; rforge

## r-cran-pracma 2.2.2

=== debian/changelog ===
r-cran-pracma (2.2.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 18:21:44 +0800

r-cran-pracma (2.2.2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 06 Dec 2018 10:53:13 +0100

r-cran-pracma (2.1.8-1) unstable; urgency=medium

  * New upstream version
  * Fix d/copyright
    Closes: #910522

 -- Andreas Tille <tille@debian.org>  Mon, 22 Oct 2018 10:17:01 +0200

r-cran-pracma (2.1.5-1) unstable; urgency=medium

  * Initial release (closes: #908788)

 -- Oliver Dechant <dechant@dal.ca>  Thu, 13 Sep 2018 21:39:14 +0200

=== debian/control ===
Source: r-cran-pracma
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Oliver Dechant <dechant@dal.ca>,
           Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pracma
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pracma.git
Homepage: https://cran.r-project.org/package=pracma

Package: r-cran-pracma
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: practical numerical math functions for GNU R
 Provides a large number of functions from numerical analysis and
 linear algebra, numerical optimization, differential equations,
 time series, plus some well-known special mathematical functions.
 Uses 'MATLAB' function names where appropriate to simplify porting.

## r-cran-pracma 2.2.5

=== debian/changelog ===
r-cran-pracma (2.2.5-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0
  * rename debian/tests/control.autodep8 to debian/tests/control

 -- Andreas Tille <tille@debian.org>  Fri, 12 Jul 2019 09:46:02 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pracma
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pracma.git
 Homepage: https://cran.r-project.org/package=pracma

## r-cran-pracma 2.2.9

=== debian/changelog ===
r-cran-pracma (2.2.9-2build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 10:24:04 +0000

r-cran-pracma (2.2.9-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 16 May 2020 09:05:12 +0200

r-cran-pracma (2.2.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Trim trailing whitespace.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 06 Jan 2020 21:52:51 +0100

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,14 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pracma
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pracma.git
 Homepage: https://cran.r-project.org/package=pracma
+Rules-Requires-Root: no
 
 Package: r-cran-pracma
 Architecture: all

## r-cran-pracma 2.3.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: pracma
 Type: Package
-Version: 2.2.9
-Date: 2019-12-15
+Version: 2.3.3
+Date: 2021-01-22
 Title: Practical Numerical Math Functions
 Authors@R: person("Hans W.", "Borchers", 
                   email="hwborchers@googlemail.com", 
@@ -21,8 +21,8 @@
 Maintainer: Hans W. Borchers <hwborchers@googlemail.com>
 Repository: CRAN
 Repository/R-Forge/Project: optimist
-Repository/R-Forge/Revision: 486
-Repository/R-Forge/DateTimeStamp: 2019-12-15 21:04:21
-Date/Publication: 2019-12-15 22:30:02 UTC
+Repository/R-Forge/Revision: 495
+Repository/R-Forge/DateTimeStamp: 2021-01-22 18:52:59
+Date/Publication: 2021-01-23 10:10:02 UTC
 NeedsCompilation: no
-Packaged: 2019-12-15 21:10:11 UTC; rforge
+Packaged: 2021-01-22 19:09:06 UTC; rforge

=== debian/changelog ===
r-cran-pracma (2.3.3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 27 Jan 2021 16:49:58 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pracma
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pracma.git
 Homepage: https://cran.r-project.org/package=pracma

## r-cran-pracma 2.3.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: pracma
 Type: Package
-Version: 2.3.3
-Date: 2021-01-22
+Version: 2.3.6
+Date: 2021-12-06
 Title: Practical Numerical Math Functions
 Authors@R: person("Hans W.", "Borchers", 
                   email="hwborchers@googlemail.com", 
@@ -21,8 +21,8 @@
 Maintainer: Hans W. Borchers <hwborchers@googlemail.com>
 Repository: CRAN
 Repository/R-Forge/Project: optimist
-Repository/R-Forge/Revision: 495
-Repository/R-Forge/DateTimeStamp: 2021-01-22 18:52:59
-Date/Publication: 2021-01-23 10:10:02 UTC
+Repository/R-Forge/Revision: 521
+Repository/R-Forge/DateTimeStamp: 2021-12-06 09:26:46
+Date/Publication: 2021-12-07 06:30:02 UTC
 NeedsCompilation: no
-Packaged: 2021-01-22 19:09:06 UTC; rforge
+Packaged: 2021-12-06 09:48:08 UTC; rforge

=== debian/changelog ===
r-cran-pracma (2.3.6-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 21 Dec 2021 12:03:35 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pracma
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pracma.git
 Homepage: https://cran.r-project.org/package=pracma

## r-cran-pracma 2.3.8

=== debian/changelog ===
r-cran-pracma (2.3.8-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 11 Mar 2022 08:29:06 +0100

## r-cran-pracma 2.4.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: pracma
 Type: Package
-Version: 2.3.6
-Date: 2021-12-06
+Version: 2.4.2
+Date: 2022-09-21
 Title: Practical Numerical Math Functions
 Authors@R: person("Hans W.", "Borchers", 
                   email="hwborchers@googlemail.com", 
@@ -21,8 +21,8 @@
 Maintainer: Hans W. Borchers <hwborchers@googlemail.com>
 Repository: CRAN
 Repository/R-Forge/Project: optimist
-Repository/R-Forge/Revision: 521
-Repository/R-Forge/DateTimeStamp: 2021-12-06 09:26:46
-Date/Publication: 2021-12-07 06:30:02 UTC
+Repository/R-Forge/Revision: 532
+Repository/R-Forge/DateTimeStamp: 2022-09-22 12:27:41
+Date/Publication: 2022-09-22 14:50:02 UTC
 NeedsCompilation: no
-Packaged: 2021-12-06 09:48:08 UTC; rforge
+Packaged: 2022-09-22 12:32:08 UTC; rforge

=== debian/changelog ===
r-cran-pracma (2.4.2-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 26 Sep 2022 13:48:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: r-cran-pracma
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Oliver Dechant <dechant@dal.ca>,
            Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pracma
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pracma.git
+Homepage: https://cran.r-project.org/package=pracma
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pracma
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pracma.git
-Homepage: https://cran.r-project.org/package=pracma
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-pracma
 Architecture: all

## r-cran-pracma 2.4.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: pracma
 Type: Package
-Version: 2.4.2
-Date: 2022-09-21
+Version: 2.4.4
+Date: 2023-11-08
 Title: Practical Numerical Math Functions
 Authors@R: person("Hans W.", "Borchers", 
                   email="hwborchers@googlemail.com", 
@@ -17,12 +17,9 @@
 License: GPL (>= 3)
 ByteCompile: true
 LazyData: yes
+NeedsCompilation: no
+Packaged: 2023-11-08 14:09:36 UTC; hwb
 Author: Hans W. Borchers [aut, cre]
 Maintainer: Hans W. Borchers <hwborchers@googlemail.com>
 Repository: CRAN
-Repository/R-Forge/Project: optimist
-Repository/R-Forge/Revision: 532
-Repository/R-Forge/DateTimeStamp: 2022-09-22 12:27:41
-Date/Publication: 2022-09-22 14:50:02 UTC
-NeedsCompilation: no
-Packaged: 2022-09-22 12:32:08 UTC; rforge
+Date/Publication: 2023-11-10 00:10:02 UTC

=== debian/changelog ===
r-cran-pracma (2.4.4-3) unstable; urgency=medium

  * Source-only upload
    Closes: #1071843
  * Standards-Version: 4.7.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 28 May 2024 07:04:05 +0200

r-cran-pracma (2.4.4-2) unstable; urgency=medium

  * Drop ID of Oliver Dechant at own request

 -- Andreas Tille <tille@debian.org>  Mon, 11 Mar 2024 17:25:04 +0100

r-cran-pracma (2.4.4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 21 Nov 2023 16:29:21 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Oliver Dechant <dechant@dal.ca>,
-           Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pracma
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pracma.git
 Homepage: https://cran.r-project.org/package=pracma
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-quadprog
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/pracma_([-\d.]*)\.tar\.gz

## r-cran-pracma 2.4.6

=== debian/changelog ===
r-cran-pracma (2.4.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 22 Jan 2026 14:50:13 +0900

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: r-cran-pracma
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pracma
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pracma.git
 Homepage: https://cran.r-project.org/package=pracma
-Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-pracma
 Architecture: all
